block('report-page').elem('content')(
    content()(function() {
        return {
            block: 'spin2',
            mods: {
                size: 'm',
                progress: 'yes'
            }
        };
    }),
    match(function() {
        return this.ctx.data;
    }).content()(function() {
        return [
            {
                elem: 'header',
                content: [
                    {
                        elem: 'summary',
                        data: this.ctx.data
                    },
                    {elem: 'download'}
                ]
            },
            {
                block: 'report-table',
                data: this.ctx.data
            }
        ];
    })
);
